#include <stdio.h>
#include <iostream>
using namespace std;


int main()
{
    int n,m;
    cin>>n>>m;
    int druzeljubivost[n];
    int sreca=0;
    for(int i=0;i<n;i++){
        cin>>druzeljubivost[i];
    }
    for(int i=0;i<m;i++){
        int g,h;
        cin>>g>>h;
        int zbiric=druzeljubivost[g-1]+druzeljubivost[h-1];
        int prvi= sreca+zbiric;
        int drugi=sreca-zbiric;
        if(prvi>drugi){
            sreca+=zbiric;
        }else sreca-=zbiric;
    }
    cout<<sreca;
    return 0;
}